@echo off
if "%IPA%"=="" (
   set IPA=192.168.1.1
)

cls
echo IMPORTANT! Your PC MUST have a static IP (e.g., 192.168.1.2) and netmask of 255.255.255.0
echo This program is currently set to look for the router on %IPA%
echo.
echo If this IP fails then set the local environment variable "IPA" to your PC's static
echo IP address, and run this program again.
echo.
echo.
echo Make sure that the router is switched off.
echo.
pause
echo.
echo Now, turn on the router, and press ENTER immediately after turning it on ...
pause > nul
echo.
echo Working. Please wait ...
ping -w 1 192.168.1.1 > nul
@echo off

:START
cls
echo Trying; Check that the router is powered up
ping -w 1 %IPA% > nul
if errorlevel 1 goto START
cls
echo The router is waiting. You can either use FTP to "repair" the router,
echo or you should now close this program and run PCTool
echo Good luck!
echo.
ftp 192.168.1.1

:DONE

